Kea: isc::hooks::NoSuchCalloutContext Class Reference

| Kea 3.2.0-git

isc::hooks::NoSuchCalloutContext Class Reference

No such callout context item. More...

`#include <callout_handle.h>`

Inheritance diagram for isc::hooks::NoSuchCalloutContext:
[legend]

## Public Member Functions
| NoSuchCalloutContext (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

No such callout context item.

Thrown if an attempt is made to get an item of data from this callout's context and either the context or an item in the context with that name does not exist.

Definition at line 43 of file callout_handle.h.

## Constructor & Destructor Documentation

## ◆ NoSuchCalloutContext()

isc::hooks::NoSuchCalloutContext::NoSuchCalloutContext | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 45 of file callout_handle.h.

References isc::Exception::Exception(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- callout_handle.h